HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetCheckoutSessionsSessionLineItems

Contains the different functions to run the operation getCheckoutSessionsSessionLineItems

  • 3 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetCheckoutSessionsSessionLineItems.hs
valuegetCheckoutSessionsSessionLineItems
  1. :: MonadHTTP m
  2. => GetCheckoutSessionsSessionLineItemsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetCheckoutSessionsSessionLineItemsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/checkout/sessions/{session}/line_items

<p>When retrieving a Checkout Session, there is an includable <strong>line_items</strong> property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items.</p>

Defines the object schema located at paths./v1/checkout/sessions/{session}/line_items.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getCheckoutSessionsSessionLineItems.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetCheckoutSessionsSessionLineItemsResponseError is used.

Instances2Eq, Show

Defines the object schema located at paths./v1/checkout/sessions/{session}/line_items.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON